%bcond_with bootstrap

Summary:        Apache Maven Verifier Component
Name:           maven-verifier
Version:        1.7.2
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://maven.apache.org/shared/%{name}

Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
%endif
BuildArch:      noarch

%description
Provides a test harness for Maven integration tests.

%package javadoc
Summary:        Javadoc for %{name}
    
%description javadoc
API documentation for %{name}.

%prep
%autosetup
rm src/test/java/org/apache/maven/it/ForkedLauncherTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.7.2-1
- Initial build
